## groovy.lang
Class GroovySystem

    java.lang.Object
      groovy.lang.GroovySystem

    public final class GroovySystem

extends Object

Method Summary
`static MetaClassRegistry` `getMetaClassRegistry()`
`static boolean` `isKeepJavaMetaClasses()`
`static boolean` `isUseReflection()`
`static void` `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isUseReflection

    public static boolean isUseReflection()

### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)

### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

Copyright © 2003-2008 The Codehaus. All rights reserved.